#!/bin/sh

RepScript=`dirname $0`
RepCourant=`pwd`

while getopts :hv:Dv:Cv options
do
        case ${options} in
                h)
                        echo "The stop.sh script is used to stop Petals."
                        echo "usage : stop.sh [-h]"
                        echo "     -h : prints the help message"
                        exit 0;
                        ;;
                ?)
                        echo "usage : stop.sh [-h] "
                        exit 2
                        ;;
        esac
done


echo "Setting Petals environment"
######################################
#   ENV VARIABLES
######################################


if [ -z "$JAVA_HOME" ]
then
        echo "The JAVA_HOME variable is not set. Please initialise it in your environment."
        exit 1
fi

if [ -z $PETALS_HOME ]
then
	PETALS_HOME=$RepCourant/$RepScript/../
fi

if [ ! -f $PETALS_HOME/conf/server.properties ]
then
	echo "The PETALS_HOME environment variable cannot be set correctly. Please set it in your environment with the correct value."
	exit 2
fi




PATH=$JAVA_HOME/bin/:$PATH

export PATH

#####################################

cd $PETALS_HOME/bin


java -Xmx1024m -jar server.jar stop $1 $2


exit 0
